Subject: [bug#32346] [PATCH 0/6] TOR via Unix domain SOCKS socket

From: Nils Gillmann <[email-masked]>
Date: Thu, 2 Aug 2018 09:27:53 +0000

Chris Marusich transcribed 2.1K bytes:
> Hi,
...
> Regarding hidden services, I haven't changed anything intentionally,
> so it should continue to work as before.  I'll also test hidden
> services, but that's also going to take more time because I've never
> done it before, and I have to wait for my system to build many things.

Good Work!

Now for the hidden-services..
Couldn't you achieve the effect you wanted without renaming
tor-hidden-services?

> I'll let you know if it all works after I reconfigure my system.  In
> the meantime, please take a look at the patches.  Thank you!
> 
> Chris Marusich (6):
>   services: tor: Add a system test.
>   services: tor: Rename activation procedure.
>   marionette: Add support for QEMU's "quit" command.
>   marionette: Add wait-for-unix-socket.
>   tests: tor: Add more test cases.
>   services: tor: Make it easier to use UNIX sockets.
> 
>  doc/guix.texi               | 52 +++++++++++++++++---
>  gnu/build/marionette.scm    | 28 ++++++++++-
>  gnu/services/networking.scm | 34 ++++++++++---
>  gnu/tests/networking.scm    | 97 ++++++++++++++++++++++++++++++++++++-
>  4 files changed, 196 insertions(+), 15 deletions(-)
> 
> -- 
> 2.18.0
> 
> 
> 
>